š CodeRabbit Agent for Slack - From idea to pull request without leaving Slack. Get started!
curl --request GET \
--url 'https://api.coderabbit.ai/v1/audit-logs?page=1&page_size=25' \
--header 'x-coderabbitai-api-key: <api-key>'{
"data": [
{
"id": "<string>",
"action": "<string>",
"actionLabel": "<string>",
"resourceType": "<string>",
"resourceTypeLabel": "<string>",
"resourceSummary": "<string>",
"actor": {
"name": "<string>",
"subtitle": "<string>",
"isBot": true,
"avatarUrl": "<string>"
},
"metadata": {},
"ipAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"relativeTime": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"filter_options": {
"actions": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
],
"resource_types": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
]
}
}Returns a paginated list of organization-level audit log entries. Requires the Enterprise plan, Admin role, and a non-agentic API key.
curl --request GET \
--url 'https://api.coderabbit.ai/v1/audit-logs?page=1&page_size=25' \
--header 'x-coderabbitai-api-key: <api-key>'{
"data": [
{
"id": "<string>",
"action": "<string>",
"actionLabel": "<string>",
"resourceType": "<string>",
"resourceTypeLabel": "<string>",
"resourceSummary": "<string>",
"actor": {
"name": "<string>",
"subtitle": "<string>",
"isBot": true,
"avatarUrl": "<string>"
},
"metadata": {},
"ipAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"relativeTime": "<string>"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"filter_options": {
"actions": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
],
"resource_types": [
{
"value": "<string>",
"label": "<string>",
"count": 123
}
]
}
}Returns a paginated list of organization-level audit log entries. Use theDocumentation Index
Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
Use this file to discover all available pages before exploring further.
search, actions, resource_types, date_from, and date_to query parameters to filter results. Unknown query parameters are rejected with a 400 error.
For a guided overview of the feature, see the Audit Logs documentation.API key for authentication. You can create an API key from the CodeRabbit dashboard.
Case-insensitive partial match on actor name. Max 200 characters.
200Comma-separated list of action keys to filter by. Up to 50 values. Example: repository_create,api_key_delete
Comma-separated list of resource type keys to filter by. Up to 50 values. Example: repository,api_key
Inclusive lower bound for the event timestamp, in ISO 8601 format.
Inclusive upper bound for the event timestamp, in ISO 8601 format. Must be on or after date_from.
Page number (1-based). Defaults to 1.
x >= 1Number of results per page. Defaults to 10, max 100.
1 <= x <= 100A paginated list of audit log entries.
List of audit log entries for the current page.
Show child attributes
Pagination metadata.
Show child attributes
Distinct action and resource type values present in the organization's log, useful for building filter UIs.
Show child attributes
Was this page helpful?